<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.1.7
Name: [1] Recepta farmaceutyczna
Description: Szablon CDA dokumentu recepty wystawionej przez farmaceutę w aptece
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000">
   <title>[1] Recepta farmaceutyczna</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/" id="tmp-r-6973a622-528e-4a3f-a5bd-27e3b027dd01">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']])&gt;=1 and not(hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]"
         id="tmp-r-0c209484-8bf4-4b9a-bcc5-a63cbf6bb42b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(plCdaPharmaceuticalDrugPrescription): Wartość dla @classCode MUSI wynosić 'DOCCLIN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaPharmaceuticalDrugPrescription): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <let name="versionLabel" value="'1.3.2'"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:templateId[@root and xs:string(@extension)=xs:string($versionLabel)])=1">(plCdaPharmaceuticalDrugPrescription): Nie występuje prawidłowe oznaczenie zgodności dokumentu z daną wersją wydania Polskiej Implementacji Krajowej HL7 CDA.</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="./hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value/@code = 'Z' and ./hl7:title != 'Recepta'">(plCdaPharmaceuticalDrugPrescription): Nieprawidłowy tytuł recepty zwykłej.</report>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="./hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value/@code = 'P' and ./hl7:title != 'Recepta pielęgniarska'">(plCdaPharmaceuticalDrugPrescription): Nieprawidłowy tytuł recepty pielęgniarskiej.</report>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="./hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value/@code = 'PL' and ./hl7:title != 'Recepta pielęgniarska na zlecenie lekarza'">(plCdaPharmaceuticalDrugPrescription): Nieprawidłowy tytuł recepty pielęgniarkiej na zlecenie lekarza.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="/processing-instruction('xml-stylesheet') = concat('href=&#34;CDA_PL_IG_',$versionLabel,'.xsl&#34; type=&#34;text/xsl&#34;')">(plCdaPharmaceuticalDrugPrescription): Nieprawidłowe wskazanie transformaty generującej warstwę prezentacyjną dokumentu.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:typeId[@root='2.16.840.1.113883.1.3'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:typeId[@root='2.16.840.1.113883.1.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.7'])&gt;=1 ">(plCdaPharmaceuticalDrugPrescription): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.7'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.7'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.7'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&gt;=1 ">(plCdaPharmaceuticalDrugPrescription): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaPharmaceuticalDrugPrescription): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:languageCode[@code='pl-PL'])&gt;=1 and not(hl7:languageCode[@code='pl-PL']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:languageCode[@code='pl-PL'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:languageCode[@code='pl-PL'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:languageCode[@code='pl-PL'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:setId jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:setId)&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:setId występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:versionNumber jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:versionNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23'])&gt;=1 and not(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.81'])&gt;=1 and not(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.81']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.81'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.81'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.81'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:dataEnterer)=0">(plCdaPharmaceuticalDrugPrescription): element hl7:dataEnterer NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:informant)=0">(plCdaPharmaceuticalDrugPrescription): element hl7:informant NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'])&gt;=1 and not(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&gt;=1 and not(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:authenticator)=0">(plCdaPharmaceuticalDrugPrescription): element hl7:authenticator NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:participant)=0">(plCdaPharmaceuticalDrugPrescription): element hl7:participant NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:documentationOf)=0">(plCdaPharmaceuticalDrugPrescription): element hl7:documentationOf NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:relatedDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.83'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:relatedDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.83'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:authorization)=0">(plCdaPharmaceuticalDrugPrescription): element hl7:authorization NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:componentOf)=0">(plCdaPharmaceuticalDrugPrescription): element hl7:componentOf NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'])&gt;=1 and not(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-d824c114-4bcb-46fe-9e10-2f779874aa5d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="string(@extension)='POCD_HD000040'">(plCdaPharmaceuticalDrugPrescription): Wartość dla @extension MUSI wynosić 'POCD_HD000040'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(plCdaPharmaceuticalDrugPrescription): Wartość dla @root MUSI wynosić '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.7']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.7']"
         id="tmp-r-7bf0f6f6-f674-4f91-ad95-6f220ceaa39c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.1.7'">(plCdaPharmaceuticalDrugPrescription): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.1.7'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']"
         id="tmp-r-e47fd548-d818-4666-9bc7-1a9f1066925c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.1.1'">(plCdaPharmaceuticalDrugPrescription): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.9.1.1.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']"
         id="tmp-r-d48b0f2d-4cdb-43f5-bf58-f517141cab87">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.1.1'">(plCdaPharmaceuticalDrugPrescription): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.5.3.1.1.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:id
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:id"
         id="tmp-r-16983478-3542-45dd-b998-49c0d2f38286">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@root">(plCdaPharmaceuticalDrugPrescription): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPharmaceuticalDrugPrescription): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@extension">(plCdaPharmaceuticalDrugPrescription): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaPharmaceuticalDrugPrescription): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-92e98335-e9d8-4383-b684-6a815d8136cd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prescription for medication Document' and @codeSystemName='LOINC')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code '57833-6' codeSystem '2.16.840.1.113883.6.1' displayName='Prescription for medication Document' codeSystemName='LOINC'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')])&gt;=1 and not(hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]"
         id="tmp-r-68a1ac9e-654c-4a49-9f7c-7f906cf34ab0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32' and @displayName='Recepta' and @codeSystemName='KLAS_DOK_P1')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code '04.01' codeSystem '2.16.840.1.113883.3.4424.11.1.32' displayName='Recepta' codeSystemName='KLAS_DOK_P1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='KDLEK'])&gt;=1 and not(hl7:qualifier[hl7:name/@code='KDLEK']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:qualifier[hl7:name/@code='KDLEK'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='KDLEK'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:qualifier[hl7:name/@code='KDLEK'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='RLEK'])&gt;=1 and not(hl7:qualifier[hl7:name/@code='RLEK']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:qualifier[hl7:name/@code='RLEK'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='RLEK'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:qualifier[hl7:name/@code='RLEK'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='TWREC'])&gt;=1 and not(hl7:qualifier[hl7:name/@code='TWREC']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:qualifier[hl7:name/@code='TWREC'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='TWREC'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:qualifier[hl7:name/@code='TWREC'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='TRREC'])&gt;=1 and not(hl7:qualifier[hl7:name/@code='TRREC']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:qualifier[hl7:name/@code='TRREC'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='TRREC'])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:qualifier[hl7:name/@code='TRREC'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']"
         id="tmp-r-d7d8d199-a139-4027-8f83-1bf7aa007111">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:value[(@code='Rp' and @codeSystem='2.16.840.1.113883.3.4424.11.1.25')])&gt;=1 and not(hl7:value[(@code='Rp' and @codeSystem='2.16.840.1.113883.3.4424.11.1.25')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:value[(@code='Rp' and @codeSystem='2.16.840.1.113883.3.4424.11.1.25')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:value[(@code='Rp' and @codeSystem='2.16.840.1.113883.3.4424.11.1.25')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:value[(@code='Rp' and @codeSystem='2.16.840.1.113883.3.4424.11.1.25')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-fd12609f-dd7d-4196-accc-594e17e8fe64">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Kategoria dostępności leku' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'KDLEK' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Kategoria dostępności leku' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:value[(@code='Rp' and @codeSystem='2.16.840.1.113883.3.4424.11.1.25')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:value[(@code='Rp' and @codeSystem='2.16.840.1.113883.3.4424.11.1.25')]"
         id="tmp-r-2a341b81-cdbb-4223-96d3-4a9ad02f8bff">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='Rp' and @codeSystem='2.16.840.1.113883.3.4424.11.1.25' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'Rp' codeSystem '2.16.840.1.113883.3.4424.11.1.25' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']"
         id="tmp-r-d08122e8-9461-492e-9470-295c93295e44">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:value[(@code='G' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:value[(@code='G' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:value[(@code='G' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:value[(@code='G' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:value[(@code='G' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']/hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']/hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-6b8552ad-0577-4d13-9eb9-9f11b18838da">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Rodzaj leku' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'RLEK' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Rodzaj leku' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']/hl7:value[(@code='G' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']/hl7:value[(@code='G' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-e65343ad-8858-4f24-b4ee-9afb69bfa529">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='G' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Lek gotowy' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'G' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Lek gotowy' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']"
         id="tmp-r-61ac64cc-3291-425d-9f12-943dc1a15d89">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:value[(@code='F' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:value[(@code='F' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:value[(@code='F' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:value[(@code='F' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:value[(@code='F' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']/hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']/hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-32517bea-8a20-4a92-8b13-9d006d383273">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Tryb wystawienia recepty' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'TWREC' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Tryb wystawienia recepty' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value[(@code='F' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value[(@code='F' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-499af22c-c440-4f82-8360-d10d8e48ed3a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='F' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Farmaceutyczna' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'F' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Farmaceutyczna' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']"
         id="tmp-r-e6e638fb-c45c-447a-ac60-120baa50e9d6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaPharmaceuticalDrugPrescription): element hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="count(hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaPharmaceuticalDrugPrescription): element hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']/hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']/hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-bd5f3cab-d0a1-4e13-b53b-244ba92d1ce6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Tryb realizacji recepty' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'TRREC' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Tryb realizacji recepty' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']/hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']/hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-7ff14f9c-b2c5-4824-a81f-6d490231264d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Zwykły' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'Z' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Zwykły' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:title
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:title"
         id="tmp-r-b03f8e13-ff11-49be-9c17-20e7418ce1c6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="text()='Recepta'">(plCdaPharmaceuticalDrugPrescription): zawartość elementu hl7:title MUSI wynosić ''Recepta''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:effectiveTime
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:effectiveTime"
         id="tmp-r-caa90f11-54d0-448c-9005-6d2a5e6ef23c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaPharmaceuticalDrugPrescription): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]"
         id="tmp-r-2ae97aed-0d28-47aa-ba77-2fc9fd978ece">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.25')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'N' codeSystem '2.16.840.1.113883.5.25'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:languageCode[@code='pl-PL']
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:languageCode[@code='pl-PL']"
         id="tmp-r-4c4707cc-cbf4-4e15-9b25-731d073181e4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@nullFlavor or (@code='pl-PL')">(plCdaPharmaceuticalDrugPrescription): Wartość elementu MUSI wynosić code 'pl-PL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:setId
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:setId"
         id="tmp-r-14e1ac8a-dee2-4059-b8ca-0f99adcbfb26">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@root">(plCdaPharmaceuticalDrugPrescription): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPharmaceuticalDrugPrescription): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="@extension">(plCdaPharmaceuticalDrugPrescription): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaPharmaceuticalDrugPrescription): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:versionNumber
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:versionNumber"
         id="tmp-r-74c3edc4-25e7-41c8-b881-3659a9330d09">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="$digitok or @nullFlavor">(plCdaPharmaceuticalDrugPrescription): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="string(@value)='1'">(plCdaPharmaceuticalDrugPrescription): Wartość dla @value MUSI wynosić '1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.7-2020-06-08T000000.html"
              test="not(@value) or matches(string(@value), '^-?[1-9][0-9]*$|^+?[0-9]*$')">(plCdaPharmaceuticalDrugPrescription): Atrybut @value nie jest porawną liczbą typu int <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:dataEnterer
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:informant
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:authenticator
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:participant
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:documentationOf
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:authorization
Item: (plCdaPharmaceuticalDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.7
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:componentOf
Item: (plCdaPharmaceuticalDrugPrescription)
-->
</pattern>
