<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.55
Name: [4] Wydanie leku
Description: Szablon CDA dla wydania leku na dokumencie recepty
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000">
   <title>[4] Wydanie leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]"
         id="tmp-r-b92ca5be-72e5-4c2f-89f3-7d5ed224f84b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:supply jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:supply)&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:supply występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply"
         id="tmp-r-ffa89888-fec4-414b-8c06-f732813c2855">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@classCode)='SPLY'">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaDrugPrescriptionSupplyEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@moodCode)='RQO'">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaDrugPrescriptionSupplyEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="/hl7:ClinicalDocument/hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:value/@code='Rpw' and not(hl7:entryRelationship[hl7:supply/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'])">(plCdaDrugPrescriptionSupplyEntry): Dla recepty na lek kategorii dostępności Rpw wymagane jest wskazanie całkowitej dawki substancji czynnej tego leku.</report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.55'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.55']/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.55'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.55'])&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.55'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.8'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.8']/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.8'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.8'])&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.8'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[@value]|hl7:effectiveTime[hl7:low/@value and hl7:high/@value])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="$elmcount&gt;=1">(plCdaDrugPrescriptionSupplyEntry): wybór (hl7:effectiveTime[@value] lub hl7:effectiveTime[hl7:low/@value and hl7:high/@value]) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="$elmcount&lt;=1">(plCdaDrugPrescriptionSupplyEntry): wybór (hl7:effectiveTime[@value] lub hl7:effectiveTime[hl7:low/@value and hl7:high/@value]) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:effectiveTime[@value])&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:effectiveTime[@value] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:effectiveTime[hl7:low/@value and hl7:high/@value])&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:effectiveTime[hl7:low/@value and hl7:high/@value] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:independentInd)&gt;=1 and not(hl7:independentInd/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:independentInd jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:independentInd)&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:independentInd występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:quantity)&gt;=1 and not(hl7:quantity/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:quantity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:quantity)&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:product występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.57'])&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.57'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.55']
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.55']"
         id="tmp-r-1b347418-aa64-4831-9d30-e0d05a2ea18e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.55'">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.55'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescriptionSupplyEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.8']
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.8']"
         id="tmp-r-961275c5-8b9b-4f58-8469-436ae1b6a497">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.3.8'">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.9.1.3.8'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescriptionSupplyEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:id
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:id"
         id="tmp-r-b65a3014-1f55-406a-bc6e-bdabaa00bbad">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:effectiveTime[@value]
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:effectiveTime[@value]"
         id="tmp-r-9c43aac7-0cd7-4350-9106-c0843fffaf9d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="/hl7:ClinicalDocument/hl7:effectiveTime/@value &lt;= @value">(plCdaDrugPrescriptionSupplyEntry): Data zleconego wydania leku (data realizacji recepty) musi być równa lub późniejsza od daty wystawienia dokumentu</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:effectiveTime[hl7:low/@value and hl7:high/@value]
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:effectiveTime[hl7:low/@value and hl7:high/@value]"
         id="tmp-r-19ab59cc-3d26-43ff-a55e-0c3547c9ac61">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:low jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:high jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:effectiveTime[hl7:low/@value and hl7:high/@value]/hl7:low
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:effectiveTime[hl7:low/@value and hl7:high/@value]/hl7:low"
         id="tmp-r-2a2ccfdf-797c-43b7-a713-e6d90447321c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="@value">(plCdaDrugPrescriptionSupplyEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDrugPrescriptionSupplyEntry): Atrybut @value MUSI być typu 'ts'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:effectiveTime[hl7:low/@value and hl7:high/@value]/hl7:high
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:effectiveTime[hl7:low/@value and hl7:high/@value]/hl7:high"
         id="tmp-r-4cde692c-148c-4873-8d62-921104d7a389">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="@value">(plCdaDrugPrescriptionSupplyEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="not(@value) or matches(string(@value), '^[0-9]{4,14}')">(plCdaDrugPrescriptionSupplyEntry): Atrybut @value MUSI być typu 'ts'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:priorityCode
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:priorityCode"
         id="tmp-r-e2e6c315-2dc9-4d0f-9c73-a1eb924dfeaf">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="@nullFlavor or (@code='UR' and @codeSystem='2.16.840.1.113883.5.7')">(plCdaDrugPrescriptionSupplyEntry): Wartość elementu MUSI wynosić code 'UR' codeSystem '2.16.840.1.113883.5.7'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:independentInd
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:independentInd"
         id="tmp-r-cafa647c-70aa-45c1-bf2e-ae826ef83c90">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:BL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@value)='false'">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @value MUSI wynosić 'false'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="not(@value) or string(@value)=('true','false')">(plCdaDrugPrescriptionSupplyEntry): Atrybut @value MUSI być typu 'bl'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:quantity
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:quantity"
         id="tmp-r-cef5f155-088c-4826-bbea-ced1a497d4c1">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="$digitok or @nullFlavor">(plCdaDrugPrescriptionSupplyEntry): @value nie jest poprawną liczbą typu PQ <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(plCdaDrugPrescriptionSupplyEntry): value/@unit (PQ) MUSI mieć poprawną jednostkę UCUM (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product"
         id="tmp-r-9117561c-9ea1-428c-a40d-bfabbe9c40c2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@typeCode)='PRD' or not(@typeCode)">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @typeCode MUSI wynosić 'PRD'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]])&gt;=1 and not(hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]])&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]"
         id="tmp-r-721f9333-59bf-4629-ab7d-ddfaf8c35a21">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@classCode)='MANU' or not(@classCode)">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @classCode MUSI wynosić 'MANU'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']])&gt;=1 and not(hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']])&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]/hl7:id
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]/hl7:id"
         id="tmp-r-0943bb2e-e91e-435e-b972-f2e177ad8e85">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]"
         id="tmp-r-dfaaa7d9-80ae-4939-9de3-c97eb86960dc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:code[@codeSystem='1.3.160'])&gt;=1 and not(hl7:code[@codeSystem='1.3.160']/@nullFlavor)">(plCdaDrugPrescriptionSupplyEntry): element hl7:code[@codeSystem='1.3.160'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="count(hl7:code[@codeSystem='1.3.160'])&lt;=1">(plCdaDrugPrescriptionSupplyEntry): element hl7:code[@codeSystem='1.3.160'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]/hl7:code[@codeSystem='1.3.160']
Item: (plCdaDrugPrescriptionSupplyEntry)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]]/hl7:manufacturedLabeledDrug[hl7:code[@codeSystem='1.3.160']]/hl7:code[@codeSystem='1.3.160']"
         id="tmp-r-4e7643d3-d2f9-4219-9b85-522b354b71b9">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="@nullFlavor or (@codeSystem='1.3.160' and @codeSystemName='GS1')">(plCdaDrugPrescriptionSupplyEntry): Wartość elementu MUSI wynosić codeSystem '1.3.160' codeSystemName='GS1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.57']
Item: (plCdaDrugPrescriptionSupplyEntry)
-->
   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:entryRelationship[hl7:act/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.57']">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.55-2020-06-08T000000.html"
              test="string(@typeCode)='COMP'">(plCdaDrugPrescriptionSupplyEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.55
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.55']]/hl7:supply/hl7:entryRelationship[hl7:supply/hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']
Item: (plCdaDrugPrescriptionSupplyEntry)
--></pattern>
