<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.80
Name: [4] Potwierdzenie całkowitej dawki substancji czynnej
Description: Szablon CDA dla potwierdzenia całkowitej dawki substancji czynnej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000">
   <title>[4] Potwierdzenie całkowitej dawki substancji czynnej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]"
         id="tmp-r-779abead-9d6f-4265-a43a-0cdf00b23f6a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'])&gt;=1 and not(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']"
         id="tmp-r-2fbded1f-7495-4791-bd65-4ef252473eaa">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="string(@classCode)='SPLY' or not(@classCode)">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] | self::hl7:code[@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14'] | self::hl7:text | self::hl7:product)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')])&gt;=1 and not(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:product jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:product występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']"
         id="tmp-r-fe77be43-40d8-46b3-bb99-58fac05f27c6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.80'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.80'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]"
         id="tmp-r-48445d0e-e408-42fd-b240-453473766771">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaActiveSubstanceTotalDoseConfirmation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="@nullFlavor or (@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość elementu MUSI wynosić code 'CDSC' codeSystem '2.16.840.1.113883.3.4424.13.5.3.14'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product"
         id="tmp-r-bdc00aff-64bb-4342-84d7-fd48137370aa">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedProduct jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct"
         id="tmp-r-aa224e7f-afde-446d-9aa7-32ccc397376b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:manufacturedMaterial)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedMaterial jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-547dd3fd-c051-471b-a904-bf0451bd6b00">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(./*[not(self::pharm:ingredient[@classCode='ACTI'])])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient"
         id="tmp-r-79f669a1-6ee2-44ac-a185-55d1f554c9c8">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="string(@classCode)='ACTI'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'ACTI'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(./*[not(self::pharm:quantity | self::pharm:ingredient[@classCode='MMAT' and @determinerCode='KIND'])])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(pharm:quantity)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(pharm:ingredient)&gt;=1 and not(pharm:ingredient/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:ingredient jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(pharm:ingredient)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:ingredient występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity"
         id="tmp-r-65c868fa-d89d-4a7c-8882-b43cbfc54ad3">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(./*[not(self::hl7:numerator | self::hl7:denominator)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:numerator)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:numerator występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(hl7:denominator)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:denominator występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/hl7:numerator
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/hl7:denominator
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient"
         id="tmp-r-21ed8fa9-4ca2-4ede-90e8-3eeeb00ac99e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="string(@classCode)='MMAT'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="string(@determinerCode)='KIND'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="not(./*[not(self::pharm:code)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(pharm:code)&gt;=1 and not(pharm:code/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="count(pharm:code)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:code
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:code"
         id="tmp-r-be031baf-d492-4159-8a01-e8454f02f076">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaActiveSubstanceTotalDoseConfirmation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
